libthai: thai/thwctype.h File Reference

libthai 0.1.26

Functions
thwctype.h File Reference

Thai wide-char character classifications. More...

## Functions
int | th_wcistis (thwchar_t wc)
| Is the wide character convertible to a valid TIS-620 code? More...
int | th_wcisthai (thwchar_t wc)
| Is the wide character a Thai character?
int | th_wciseng (thwchar_t wc)
| Is the wide character an English character?
int | th_wcisthcons (thwchar_t wc)
| Is the wide character a Thai consonant?
int | th_wcisthvowel (thwchar_t wc)
| Is the wide character a Thai vowel?
int | th_wcisthtone (thwchar_t wc)
| Is the wide character a Thai tone mark?
int | th_wcisthdiac (thwchar_t wc)
| Is the wide character a Thai diacritic?
int | th_wcisthdigit (thwchar_t wc)
| Is the character a Thai digit?
int | th_wcisthpunct (thwchar_t wc)
| Is the character a Thai punctuation?
int | th_wcistaillesscons (thwchar_t wc)
| Is the wide character a Thai consonant that fits the x-height?
int | th_wcisovershootcons (thwchar_t wc)
| Is the wide character a Thai consonant with stem above ascender?
int | th_wcisundershootcons (thwchar_t wc)
| Is the wide character a Thai consonant with stem below baseline?
int | th_wcisundersplitcons (thwchar_t wc)
| Is the wide character a Thai consonant with split part below baseline?
int | th_wcisldvowel (thwchar_t wc)
| Is the wide character a Thai leading vowel?
int | th_wcisflvowel (thwchar_t wc)
| Is the wide character a Thai following vowel?
int | th_wcisupvowel (thwchar_t wc)
| Is the wide character a Thai upper vowel?
int | th_wcisblvowel (thwchar_t wc)
| Is the wide character a Thai below vowel?
int | th_wcchlevel (thwchar_t wc)
| Position for rendering: More...

## Detailed Description

Thai wide-char character classifications.

## Function Documentation

## ◆ th_wcchlevel()

int th_wcchlevel | ( | thwchar_t | wc | ) |

Position for rendering:

- 3 = above/top
- 2 = top
- 1 = above
- 0 = base
- -1 = below

## ◆ th_wcistis()

int th_wcistis | ( | thwchar_t | wc | ) |

Is the wide character convertible to a valid TIS-620 code?

TIS-620 here means US-ASCII plus TIS-620 extension.